<?xml version="1.0" encoding="utf-8" ?>
<Counters>

  <WR_CashHide_C CounterID="WR_CashHide_C" minVal="-1" maxVal="10" Active="0" IsSave="0" IsLocal="1">
    <Tasks ID="task">
      <cTask counterID="WR_CashHide_C" taskID="updateTime"/>
    </Tasks>
    <Tasks ID="taskForceExit">
      <qTask taskID="setLoadRoom" val="1"/>
      <qTask taskID="saveActiveState" val="1"/>
    </Tasks>
    <Tasks ID="taskDoneMax">
      <qTask taskID="setLoadRoom" val="1"/>
      <qTask taskID="saveActiveState" val="1"/>
    </Tasks>
  </WR_CashHide_C>

  <WR_HOL_C CounterID="WR_HOL_C" minVal="-1" maxVal="2" Val="1" Val1="0" Active="0" IsSave="1">
    <Tasks ID="task1" min="0" max="2" count="1" on="1">
      <qTask destID="WIN_ROOM_Door_opened" taskID="particlesHighlightNode" text="Start"/>
    </Tasks>
  </WR_HOL_C>

  <WIN_ROOM_ZoomClose_C CounterID="WIN_ROOM_ZoomClose_C" minVal="0" maxVal="3" Val="1" Val1="0" Active="1" IsSave="1">
    <!--<Tasks ID="task1" min="3" max="5" count="1" on="1">
      <qTask taskID="startCounter" text="Win_room_zoom2_Exit_C"/>
      <qTask destID="Win_room_Zoom_link" taskID="setMouseClickState" text="None"/>
      <qTask destID="Win_room_Zoom_link" taskID="setMouseOverState" text="none"/>
      <cTask counterID="WIN_ROOM_ZoomClose_C" taskID="stopCounter"/>
    </Tasks>-->
    <Tasks ID="taskDoneMax">
      <!--<qTask taskID="HideWidget" text="ZZ" />
      <qTask taskID="setActiveRoom" text="Win_room_zoom2"/>-->
      <qTask taskID="startCounter" text="Win_room_zoom2_Exit_C"/>
      <qTask destID="Win_room_Zoom_link" taskID="setMouseClickState" text="None"/>
      <qTask destID="Win_room_Zoom_link" taskID="setMouseOverState" text="none"/>
    </Tasks>
  </WIN_ROOM_ZoomClose_C>

  <WIN_ROOM_LasDots_C CounterID="WIN_ROOM_LasDots_C" minVal="-1" maxVal="10" Active="1" IsSave="1">
    <Tasks ID="task">
      <cTask counterID="WIN_ROOM_LasDots_C" taskID="updateTime"/>
    </Tasks>
    <Tasks ID="task1" min="4" max="6" count="1" on="1">
      <qTask destID="t_WIN_ROOM_Laser_dots" taskID="HideGrafNode"/>
    </Tasks>
    <Tasks ID="taskDoneMax">
      <cTask counterID="WIN_ROOM_LasDots_C" taskID="set" val="0"/>
      <cTask counterID="WIN_ROOM_LasDots_C" taskID="startCounter"/>
      <qTask destID="t_WIN_ROOM_Laser_dots" taskID="ShowGrafNode"/>
    </Tasks>
  </WIN_ROOM_LasDots_C>

  <Winroom_Eerie_C CounterID="Winroom_Eerie_C" minVal="-1" maxVal="350" Active="0" IsSave="0" IsLocal="1">
    <Tasks ID="task">
      <cTask counterID="Winroom_Eerie_C" taskID="updateTime"/>
    </Tasks>
    <Tasks ID="taskDoneMax">
      <qTask destID="Sound" taskID="PlaySound" text="Winroom_winroom_eerie"/>
      <qTask taskID="startCounter" text="Winroom_Eerie_C"/>
    </Tasks>
  </Winroom_Eerie_C>

  <WIN_ROOM_HelpAdd_C CounterID="WIN_ROOM_HelpAdd_C" minVal="-1" maxVal="1" Active="0" IsSave="0">
    <Tasks ID="task">
      <cTask counterID="WIN_ROOM_HelpAdd_C" taskID="updateTime"/>
    </Tasks>
    <Tasks ID="taskDoneMax">
      <!--<qTask taskID="startCounter" text="WIN_ROOM_Help_C"/>-->-->
      <cTask counterID="WIN_ROOM_Help_C" taskID="startCounter"/>
      <cTask counterID="WIN_ROOM_Help_C" taskID="add" val="1"/>
    </Tasks>
  </WIN_ROOM_HelpAdd_C>

  <WIN_ROOM_Help_C CounterID="WIN_ROOM_Help_C" minVal="-1" maxVal="2" Val="0" Active="0" IsSave="1">
    <Tasks ID="taskDoneMax">
      <qTask destID="MGHelpDelay" taskID="VarSetVal" val="0"/>
    </Tasks>
  </WIN_ROOM_Help_C>
  <!--<cTask counterID="WIN_ROOM_Help_C" taskID="add" val="1"/>-->

  <WIN_ROOM_AfterPowderStateL_C CounterID="WIN_ROOM_AfterPowderStateL_C" minVal="-1" maxVal="2" Val="0" Val1="0" Active="0" IsSave="0">
    <Tasks ID="task">
    </Tasks>
    <Tasks ID="task1" min="0" max="2" count="1" on="1">
      <cTask counterID="WIN_ROOM_AfterPowderStateL_C" taskID="dec" val="1"/>
    </Tasks>
    <Tasks ID="taskDoneMax">
      <qTask destID="Lamp" taskID="setMouseClickState" text="LampPowderDone"/>
    </Tasks>
  </WIN_ROOM_AfterPowderStateL_C>

  <WIN_ROOM_AfterPowderState_C CounterID="WIN_ROOM_AfterPowderState_C" minVal="-1" maxVal="2" Val="0" Val1="0" Active="0" IsSave="0">
    <Tasks ID="task">
    </Tasks>
    <Tasks ID="task1" min="0" max="2" count="1" on="1">
      <cTask counterID="WIN_ROOM_AfterPowderState_C" taskID="dec" val="1"/>
    </Tasks>
    <Tasks ID="taskDoneMax">
      <qTask destID="Vase" taskID="setMouseClickState" text="PowderDone"/>
    </Tasks>
  </WIN_ROOM_AfterPowderState_C>

  <WIN_ROOM_AfterZoomL_C CounterID="WIN_ROOM_AfterZoomL_C" minVal="-1" maxVal="11" Active="0" IsSave="0">
    <Tasks ID="task">
      <cTask counterID="WIN_ROOM_AfterZoomL_C" taskID="updateTime"/>
    </Tasks>
    <Tasks ID="taskDoneMax">
      <qTask destID="t_WIN_ROOM_Laser_0_1" taskID="HideGrafNode"/>
      <qTask destID="WIN_ROOM_Laser_0_1_s" taskID="setAnimSequense" val="1"/>
      <qTask destID="t_Laser_1" taskID="HideGrafNode"/>
      <qTask destID="Sound" taskID="PlaySound" text="Lasers_off"/>
      <cTask counterID="WIN_ROOM_Laser0_C" taskID="startCounter"/>
      <cTask counterID="WIN_ROOM_Mirrors_C" taskID="dec" val="1"/>
      <qTask taskID="setLoadRoom" val="1"/>
      <qTask taskID="saveActiveState" val="1"/>

      <!--<cTask counterID="MirrClockLampDone_C" taskID="dec" val="1"/>
      <cTask counterID="WIN_ROOM_FourMirrors_C" taskID="add" val="1"/>-->
    </Tasks>
  </WIN_ROOM_AfterZoomL_C>

  <WIN_ROOM_AfterZoomLMG_C CounterID="WIN_ROOM_AfterZoomLMG_C" minVal="-1" maxVal="10" Active="0" IsSave="0">
    <Tasks ID="task">
      <cTask counterID="WIN_ROOM_AfterZoomLMG_C" taskID="updateTime"/>
    </Tasks>
    <Tasks ID="taskDoneMax">
    </Tasks>
  </WIN_ROOM_AfterZoomLMG_C>

  <WIN_ROOM_AfterZoom_C CounterID="WIN_ROOM_AfterZoom_C" minVal="-1" maxVal="11" Active="0" IsSave="0">
    <Tasks ID="task">
      <cTask counterID="WIN_ROOM_AfterZoom_C" taskID="updateTime"/>
    </Tasks>
    <Tasks ID="taskDoneMax">
      <cTask counterID="MirrBrushStoolDone_C" taskID="dec" val="1"/>
      <qTask destID="t_WIN_ROOM_Laser_1_1" taskID="HideGrafNode"/>
      <qTask destID="WIN_ROOM_Laser_1_1_s" taskID="setAnimSequense" val="1"/>
      <qTask destID="t_Laser_0" taskID="HideGrafNode"/>
      <qTask destID="Sound" taskID="PlaySound" text="Lasers_off"/>
      <cTask counterID="WIN_ROOM_Laser1_C" taskID="startCounter"/>
      <cTask counterID="WIN_ROOM_Mirrors_C" taskID="dec" val="1"/>
      <!--<qTask taskID="HideWidget" text="ZZ" />-->
      <!--<qTask taskID="setActiveRoom" text="Win_room_zoom2"/>-->
      <!--<cTask counterID="MirrBrushStoolDone_C" taskID="dec" val="1"/>
      <cTask counterID="WIN_ROOM_FourMirrors_C" taskID="add" val="1"/>-->
      <qTask taskID="setLoadRoom" val="1"/>
      <qTask taskID="saveActiveState" val="1"/>
    </Tasks>
  </WIN_ROOM_AfterZoom_C>

  <WIN_ROOM_SecretTask_C CounterID="WIN_ROOM_SecretTask_C" minVal="-1" maxVal="1" Val="0" Val1="0" Active="0" IsSave="1">
    <Tasks ID="taskDoneMax">
      <qTask taskID="AddTask_WTasksList" text="WIN_ROOM_SchemeTask" val="1"/>
    </Tasks>
  </WIN_ROOM_SecretTask_C>

  <WIN_ROOM_FourMirrors_C CounterID="WIN_ROOM_FourMirrors_C" minVal="-1" maxVal="3" Val="0" Val1="0" Active="0" IsSave="1">
    <Tasks ID="task1" min="0" max="2" count="1" on="1">
      <qTask destID="POM" taskID="SetInventorySurfFile" text="resources\images\rooms\Level3\Win_room\Win_room_0004_Mirrors_3_mini.png"/>
      <qTask destID="POM" taskID="setActiveMouseOverText" text="WIN_ROOM_POM3"/>
    </Tasks>
    <Tasks ID="task2" min="1" max="3" count="1" on="1">
      <qTask destID="POM" taskID="SetInventorySurfFile" text="resources\images\rooms\Level3\Win_room\Win_room_0004_Mirrors_2_mini.png"/>
      <qTask destID="POM" taskID="setActiveMouseOverText" text="WIN_ROOM_POM2"/>
    </Tasks>
    <Tasks ID="taskDoneMax">
      <qTask destID="POM" taskID="SetInventorySurfFile" text="resources\images\rooms\Level3\Win_room\Win_room_0004_Mirrors_1_mini.png"/>
      <qTask destID="POM" taskID="setActiveMouseOverText" text="WIN_ROOM_POM1"/>
    </Tasks>
  </WIN_ROOM_FourMirrors_C>


  <!--<WIN_ROOM_AfterZoom_C CounterID="WIN_ROOM_AfterZoom_C" minVal="-1" maxVal="10" Active="0" IsSave="0">
    <Tasks ID="task">
      <cTask counterID="WIN_ROOM_AfterZoom_C" taskID="updateTime"/>
    </Tasks>
    <Tasks ID="taskDoneMax">
      <qTask destID="Cache_1" taskID="fadeNode" text="InShow" val="100"/>
    </Tasks>
  </WIN_ROOM_AfterZoom_C>-->

  <WIN_ROOM_ArtistHelp_C CounterID="WIN_ROOM_ArtistHelp_C" minVal="0" maxVal="2" Val="2" Val1="0" Active="0" IsSave="1">
    <Tasks ID="taskDoneMax">
      <cTask counterID="WIN_ROOM_ArtistHelpSound_C" taskID="startCounter"/>
    </Tasks>
  </WIN_ROOM_ArtistHelp_C>

  <WIN_ROOM_ArtistHelpSound_C CounterID="WIN_ROOM_ArtistHelpSound_C" minVal="-1" maxVal="400" Active="0" IsSave="0">
    <Tasks ID="task">
      <cTask counterID="WIN_ROOM_ArtistHelpSound_C" taskID="updateTime"/>
    </Tasks>
    <Tasks ID="taskDoneMax">
      <qTask destID="Sound" taskID="PlaySound" text="Winroom_artist_help"/>
      <cTask counterID="WIN_ROOM_ArtistHelpSound_C" taskID="startCounter"/>
    </Tasks>
  </WIN_ROOM_ArtistHelpSound_C>

  <WIN_ROOM_ArtistsSaving_C CounterID="WIN_ROOM_ArtistsSaving_C" minVal="0" maxVal="2" Val="1" Val1="0" Active="0" IsSave="1">
    <Tasks ID="task">
    </Tasks>
    <Tasks ID="taskDoneMin">
      <qTask destID="WIN_ROOM_Door_opened" taskID="setMouseClickState" text="MoreThanOne"/>
      <!--<qTask taskID="DelTask_WTasksList" text="ARTIST_LevTask"/>-->
    </Tasks>
  </WIN_ROOM_ArtistsSaving_C>

  <WIN_ROOM_PowdDoneTask_C CounterID="WIN_ROOM_PowdDoneTask_C" minVal="-1" maxVal="1" Active="0" IsSave="0">
    <Tasks ID="task">
      <cTask counterID="WIN_ROOM_PowdDoneTask_C" taskID="updateTime"/>
    </Tasks>
    <Tasks ID="taskDoneMax">
      <qTask taskID="DelTask_WTasksList" text="WIN_ROOM_PowdTask"/>
    </Tasks>
  </WIN_ROOM_PowdDoneTask_C>

  <!--<WIN_ROOM_SchemeTask_C CounterID="WIN_ROOM_SchemeTask_C" minVal="0" maxVal="2" Val="1" Val1="0" Active="0" IsSave="1">
    <Tasks ID="task">
    </Tasks>
    <Tasks ID="taskDoneMax">
      <qTask taskID="AddTask_WTasksList" text="WIN_ROOM_SchemeTask"/>
    </Tasks>
  </WIN_ROOM_SchemeTask_C>-->

  <!--<WIN_ROOM_SolutionTask_C CounterID="WIN_ROOM_SolutionTask_C" minVal="0" maxVal="2" Val="1" Val1="0" Active="1" IsSave="1">
    <Tasks ID="task">
    </Tasks>
    <Tasks ID="taskDoneMin">
      <qTask taskID="AddTask_WTasksList" text="WIN_ROOM_SolutionTask"/>
    </Tasks>
  </WIN_ROOM_SolutionTask_C>-->

  <WIN_ROOM_NeighbRoomTask_C CounterID="WIN_ROOM_NeighbRoomTask_C" minVal="0" maxVal="2" Val="1" Val1="0" Active="1" IsSave="1">
    <Tasks ID="taskDoneMin">
      <qTask taskID="DelTask_WTasksList" text="ARTIST_NeighbRoomTask"/>
      <!--<cTask counterID="WIN_ROOM_LasDots_C" taskID="startCounter"/>-->
    </Tasks>
  </WIN_ROOM_NeighbRoomTask_C>

  <WIN_ROOM_PowdTask_C CounterID="WIN_ROOM_PowdTask_C" minVal="0" maxVal="2" Val="1" Val1="0" Active="1" IsSave="1">
    <Tasks ID="taskDoneMin">
      <qTask taskID="AddTask_WTasksList" text="WIN_ROOM_PowdTask" val="1"/>
    </Tasks>
  </WIN_ROOM_PowdTask_C>

  <!--<WIN_ROOM_Mirrors CounterID="WIN_ROOM_Mirrors" minVal="-1" maxVal="3" Val="2" Val1="0" Active="1" IsSave="1">
    <Tasks ID="task">
    </Tasks>
    <Tasks ID="taskDoneMin">
      <qTask destID="t_Laser_0" taskID="HideGrafNode"/>
      <qTask destID="t_Laser_1" taskID="HideGrafNode"/>
      <qTask destID="WIN_ROOM_Sample" taskID="ShowGrafNode"/>
      <qTask destID="POM" taskID="RemoveInventoryItem"/>
    </Tasks>
  </WIN_ROOM_Mirrors>-->

  <WIN_ROOM_Glue CounterID="WIN_ROOM_Glue" minVal="0" maxVal="3" Val="2" Val1="0" Active="1" IsSave="1">
    <Tasks ID="taskDoneMin">
      <qTask destID="Glue" taskID="RemoveInventoryItem"/>
    </Tasks>
  </WIN_ROOM_Glue>

  <WIN_ROOM_WMGBeamsSS2_C CounterID="WIN_ROOM_WMGBeamsSS2_C" minVal="-1" Val="0" maxVal="1" Val1="0" Active="0" IsSave="1">
    <Tasks ID="taskDoneMax" >
      <qTask destID="WMGBeams_setting" taskID="VarSetVal" text="WMGBeams_setting2"/>
    </Tasks>
  </WIN_ROOM_WMGBeamsSS2_C>
  
  <WIN_ROOM_WMGBeamsSetSetting_C CounterID="WIN_ROOM_WMGBeamsSetSetting_C" minVal="-1" maxVal="3" Val="0" Val1="0" Active="0" IsSave="1">
    <Tasks ID="task1" min="0" max="2" count="1" on="1">
      <qTask destID="WMGBeams_setting" taskID="VarSetVal" text="WMGBeams_setting1"/>
    </Tasks>
    <Tasks ID="task2" min="1" max="3" count="1" on="1">
      <qTask destID="WMGBeams_setting" taskID="VarSetVal" text="WMGBeams_setting2"/>
    </Tasks>
  </WIN_ROOM_WMGBeamsSetSetting_C>

  <WR_LCLaserStart_C CounterID="WR_LCLaserStart_C" minVal="-1" maxVal="2" Val="0" Active="0" IsSave="1" IsLocal="1">
    <Tasks ID="task1" min="0" max="2" count="1" on="1">
      <qTask taskID="loadRoom" text="WMGBeams"/>
    </Tasks>
  </WR_LCLaserStart_C>
  <!--Срабатывает когда прилеплено зеркало на лампу и часы-->
  <MirrClockLampDone_C CounterID="MirrClockLampDone_C" minVal="0" maxVal="3" Val="2" Val1="0" Active="1" IsSave="1">
    <Tasks ID="taskDoneMin">
      <cTask counterID="WIN_ROOM_WMGBeamsSetSetting_C" taskID="set" val="1"/>
      <cTask counterID="WIN_ROOM_WMGBeamsSetSetting_C" taskID="startCounter"/>
      <cTask counterID="WIN_ROOM_Help_C" taskID="startCounter"/>
      <cTask counterID="WIN_ROOM_Help_C" taskID="add" val="1"/>
      <qTask taskID="loadRoom" text="WMGBeams"/>

      <qTask taskID="setLoadRoom" val="1"/>
      <qTask taskID="saveActiveState" val="1"/>
      <qTask taskID="stopCounter" text="WR_LCLaserStart_C"/>
      <qTask counterID="WR_LCLaserStart_C" taskID="add" val="1"/>
    </Tasks>
  </MirrClockLampDone_C>
  
  <WR_BSLaserStart_C CounterID="WR_BSLaserStart_C" minVal="-1" maxVal="2" Val="0" Active="0" IsSave="1" IsLocal="1">
    <Tasks ID="task1" min="0" max="2" count="1" on="1">
      <qTask taskID="loadRoom" text="WMGBeams"/>
    </Tasks>
  </WR_BSLaserStart_C>
  <!--Срабатывает когда прилеплено зеркало на стул и кисть-->
  <MirrBrushStoolDone_C CounterID="MirrBrushStoolDone_C" minVal="0" maxVal="3" Val="2" Val1="0" Active="1" IsSave="1">
    <Tasks ID="taskDoneMin">
      <qTask taskID="HideWidget" text="ZZ"/>
      <cTask counterID="WIN_ROOM_WMGBeamsSetSetting_C" taskID="set" val="2"/>
      <cTask counterID="WIN_ROOM_WMGBeamsSetSetting_C" taskID="startCounter"/>
      <cTask counterID="WIN_ROOM_Help_C" taskID="startCounter"/>
      <cTask counterID="WIN_ROOM_Help_C" taskID="add" val="1"/>
      <qTask taskID="loadRoom" text="WMGBeams"/>
      <qTask destID="t_Win_room_Beam_brush" taskID="MoveNode_notLoad" text="xy" val="2170" val1="210"/>

      <qTask taskID="setLoadRoom" val="1"/>
      <qTask taskID="saveActiveState" val="1"/>
      <qTask taskID="stopCounter" text="WR_BSLaserStart_C"/>
      <qTask counterID="WR_BSLaserStart_C" taskID="add" val="1"/>
    </Tasks>
  </MirrBrushStoolDone_C>

  <WIN_ROOM_Mirrors_C CounterID="WIN_ROOM_Mirrors_C" minVal="0" maxVal="3" Val="2" Val1="0" Active="1" IsSave="1">
    <Tasks ID="taskDoneMin">
      <!--<qTask destID="WIN_ROOM_Door" taskID="setMouseClickState" text="CouldBeOpened"/>-->
      <qTask destID="WIN_ROOM_Door" taskID="setMouseClickState" text="CouldBeOpenedWithTask"/>
      <qTask destID="Laser_P" taskID="HideGrafNode"/>
      <!--<cTask counterID="WIN_ROOM_SchemeTask_C" taskID="dec" val="1"/>-->
      <!--<qTask destID="WIN_ROOM_Door" taskID="setMouseClickState" text="CouldBeOpenedWithoutTask"/>-->
      <qTask taskID="DelTask_WTasksList" text="WIN_ROOM_LasTask"/>
      <qTask destID="POM" taskID="RemoveInventoryItem"/>
      <!--<qTask taskID="unlockDiaryPages" text="WIN_ROOM_Lasers_done"/>-->
    </Tasks>
  </WIN_ROOM_Mirrors_C>

  <WIN_ROOM_Laser1_C CounterID="WIN_ROOM_Laser1_C" minVal="-1" maxVal="20" Active="0" IsSave="0">
    <Tasks ID="task">
      <cTask counterID="WIN_ROOM_Laser1_C" taskID="updateTime"/>
    </Tasks>
    <Tasks ID="taskDoneMax">
      <qTask destID="WIN_ROOM_Laser_1_1_s" taskID="setAnimSequense" val="0"/>
      <!--<cTask counterID="WIN_ROOM_Mirrors_C" taskID="dec" val="1"/>-->
    </Tasks>
  </WIN_ROOM_Laser1_C>

  <WIN_ROOM_Laser0_C CounterID="WIN_ROOM_Laser0_C" minVal="-1" maxVal="20" Active="0" IsSave="0">
    <Tasks ID="task">
      <cTask counterID="WIN_ROOM_Laser0_C" taskID="updateTime"/>
    </Tasks>
    <Tasks ID="taskDoneMax">
      <qTask destID="WIN_ROOM_Laser_0_1_s" taskID="setAnimSequense" val="0"/>
      <!--<cTask counterID="WIN_ROOM_Mirrors_C" taskID="dec" val="1"/>-->
    </Tasks>
  </WIN_ROOM_Laser0_C>

</Counters>

